> ## Documentation Index
> Fetch the complete documentation index at: https://endclose.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a reconciliation match

> Manually match a set of records. All records must be unreconciled and belong to the specified reconciliation's data streams.



## OpenAPI

````yaml /openapi.json post /reconciliation_matches
openapi: 3.1.0
info:
  title: End Close API
  description: REST API is used to interact with the End Close platform.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.endclose.com/v1
security:
  - ApiKeyAuth: []
paths:
  /reconciliation_matches:
    post:
      summary: Create a reconciliation match
      description: >-
        Manually match a set of records. All records must be unreconciled and
        belong to the specified reconciliation's data streams.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - reconciliation_id
                - record_ids
              properties:
                reconciliation_id:
                  type: string
                record_ids:
                  type: array
                  items:
                    type: string
                  description: IDs of records to match together
                create_adjustment:
                  type: boolean
                  description: If true, creates an adjustment record to balance the match
                adjustment_reason:
                  type: string
                  description: Description for the adjustment record
      responses:
        '201':
          description: Match created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReconciliationMatch'
        '422':
          description: >-
            Validation error (records not found, already reconciled, or not in
            reconciliation)
components:
  schemas:
    ReconciliationMatch:
      type: object
      description: >-
        A reconciliation match represents a group of records that have been
        matched together. Endclose supports many-to-one matching, so a single
        match can contain a large number of records — to retrieve them, use `GET
        /v1/records?reconciliation_match_id={id}`.
      properties:
        id:
          type: integer
        status:
          type: string
        group_key:
          type: string
        reconciliation_id:
          type: integer
        reconciliation_rule_id:
          type: integer
        created_at:
          type: string
          format: date-time
        record_count:
          type: integer
          description: Total number of records in this match
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````